diff --git a/src/common/sha2_openssl.c b/src/common/sha2_openssl.c
index 41673b3a88..75f95a9e1f 100644
--- a/src/common/sha2_openssl.c
+++ b/src/common/sha2_openssl.c
@@ -20,6 +20,12 @@
 #include "postgres_fe.h"
 #endif
 
+/*
+ * Suppress deprecation warnings for low-level SHA implementations not
+ * yet removed from OpenSSL.
+ */
+#define OPENSSL_SUPPRESS_DEPRECATED 1
+
 #include <openssl/sha.h>
 
 #include "common/sha2.h"
